#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
# Disabled tests as pidlockfile is not anymore in the lastest python-lockfile

%define 	module	daemon
Summary:	Library to implement a well-behaved Unix daemon process
Name:		python3-%{module}
Version:	3.1.2
Release:	3
License:	Python
Group:		Development/Languages
Source0:	https://pypi.debian.net/python-daemon/python_%{module}-%{version}.tar.gz
# Source0-md5:	d42ee28735506ea1cb51c348530d6d94
URL:		http://pypi.python.org/pypi/python-daemon/
BuildRequires:	python3-build
BuildRequires:	python3-changelog_chug
BuildRequires:	python3-devel
BuildRequires:	python3-installer
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	python3-lockfile
#BuildRequires:	python3-minimock
%endif
Requires:	python3-lockfile
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library implements the well-behaved daemon specification of PEP
3143, "Standard daemon process library".

%prep
%setup -q -n python_daemon-%{version}

%build
%py3_build_pyproject

# Test suite requires minimock and lockfile
%if %{with tests}
PYTHONPATH=$(pwd) nosetests-%{py_ver}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.* README ChangeLog
%{py3_sitescriptdir}/daemon
%{py3_sitescriptdir}/python_daemon-%{version}.dist-info
%changelog
* Tue Feb 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-daemon.git;a=log;h=master

* Tue Feb 11 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 05bec99
- Rel 3; python3-changelog_chug is needed for building

* Mon Feb 10 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> d792479
- Rel 2; BR python3-changelog_chug

* Sat Feb 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 4b467a3
- Update BR

* Sat Feb 08 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 82d6c3b
- Up to 3.1.2 (deps not needed for building)

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 2013bd1
- release 4 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> cd2865a
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6101260
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ce275ac
- automatic change: use py_build/py_install macros

* Sun Nov 23 2014 Elan Ruusamäe <glen@delfi.ee> 835b8c1
- update BR

* Wed Dec 14 2011 Elan Ruusamäe <glen@pld-linux.org> 41f92ae
- md5

* Tue Dec 13 2011 Elan Ruusamäe <glen@pld-linux.org> a7c6cef
- new, from fedora

